Package com.orchestranetworks.ui

# Class UICSSClasses.ICONS

java.lang.Object
com.orchestranetworks.ui.UICSSClasses.ICONS

Enclosing class:
  UICSSClasses

public static final class UICSSClasses.ICONS extends Object
All the CSS classes used to display standard icons.

To display an icon, add one of these CSS classes to a HTML element. The icon will be displayed once, in the top left of the element. Its size is 16x16 pixels.

The element will also have the minimum height and left-padding to ensure correct display of the icon. A text can be included in the element. This works particularly well with `<p>` elements.

To set a different placement for the icon, the attribute `style="background-position: x y;"` can be added to the element.

`x` can be:

- left
- center
- right
- a percentage (for example `20%`)
- pixels (for example `5px`)

`y` can be:

- top
- center
- bottom
- a percentage (for example `20%`)
- pixels (for example `5px`)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANIM_WAIT`
  `static final String`
  `ANIM_WAIT_BIG`
  This icon is twice as big as the others (32x32 pixels) and its alignment is `center top`.
  `static final String`
  `ATTRIBUTE`
  `static final String`
  `ERROR`
  `static final String`
  `FOREIGN_KEY`
  `static final String`
  `GROUP`
  `static final String`
  `INFO`
  `static final String`
  `PRIMARY_FOREIGN_KEY`
  `static final String`
  `PRIMARY_KEY`
  `static final String`
  `WARNING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ICONS()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ERROR

    public static final String ERROR
    See Also:
      - Constant Field Values

  - ### WARNING

    public static final String WARNING
    See Also:
      - Constant Field Values

  - ### INFO

    public static final String INFO
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE

    public static final String ATTRIBUTE
    See Also:
      - Constant Field Values

  - ### PRIMARY_KEY

    public static final String PRIMARY_KEY
    See Also:
      - Constant Field Values

  - ### FOREIGN_KEY

    public static final String FOREIGN_KEY
    See Also:
      - Constant Field Values

  - ### PRIMARY_FOREIGN_KEY

    public static final String PRIMARY_FOREIGN_KEY
    See Also:
      - Constant Field Values

  - ### GROUP

    public static final String GROUP
    See Also:
      - Constant Field Values

  - ### ANIM_WAIT

    public static final String ANIM_WAIT
    See Also:
      - Constant Field Values

  - ### ANIM_WAIT_BIG

    public static final String ANIM_WAIT_BIG
    This icon is twice as big as the others (32x32 pixels) and its alignment is `center top`.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ICONS

    public ICONS()